Name:          stax-utils
Version:       0.0
Release:       %mkrel 8
Summary:       STAX Utilities
Group:         Development/Java
License:       BSD
Url:           http://java.net/projects/stax-utils/pages/Home
# svn export https://svn.java.net/svn/stax-utils~svn/trunk/ stax-utils-20070216
# tar czf stax-utils-20070216-src-svn.tar.gz stax-utils-20070216
Source0:       stax-utils-20070216-src-svn.tar.gz
Source1:       stax-utils-20070216.pom
Patch0:        stax-utils-build_xml.patch
Patch1:        stax-utils-XMLEventConsumerDelegate.patch
Patch2:        stax-utils-0.0-javadoc-exclude.patch

BuildArch:     noarch

BuildRequires: java-devel
BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: bea-stax-api
BuildRequires: bea-stax
BuildRequires: junit
BuildRequires: jpackage-utils

Requires:      bea-stax-api
Requires:      bea-stax
Requires:      jpackage-utils

%description
The purpose of this project is to help facilitate the adoption
of JSR-173: Streaming API for XML (StAX) by providing a set of
utility classes that make it easy for developers to integrate
StAX into their existing XML processing applications.

%package       javadoc
Summary:       Javadocs for %{name}
Group:         Documentation

%description   javadoc
This package contains the API documentation for %{name}.

%package       manual
Summary:       Manual for %{name}
Group:         Documentation

%description   manual
The manual for %{name}.

%prep
%setup -q -n stax-utils-20070216
find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;
pushd lib
#jsr173_1.0_api.jar.no
  ln -s $(build-classpath bea-stax-api)
#jsr173_1.0_ri.jar.no
  ln -s $(build-classpath bea-stax-ri)
#junit.jar.no
  ln -s $(build-classpath junit)
popd

%patch0 -p0
%patch1 -p0
%patch2 -p1

%build

export CLASSPATH=
export OPT_JAR_LIST="`cat %{_sysconfdir}/ant.d/{junit,trax}`"
%ant all test

%install
mkdir -p %{buildroot}%{_javadir}
install -p -m 644 build/stax-utils.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
( cd %{buildroot}%{_javadir}/ ; ln -sf %{name}-%{version}.jar %{name}.jar )

mkdir -p  %{buildroot}%{_mavenpomdir}
cp -p %SOURCE1 %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr build/javadoc/* %{buildroot}%{_javadocdir}/%{name}

%files -f .mfiles
%{_javadir}/%{name}-%{version}.jar
%doc docs/COPYRIGHT.TXT

%files javadoc
%{_javadocdir}/%{name}/

%files manual
%doc docs/sax/*


%changelog
* Tue Feb 09 2016 umeabot <umeabot> 0.0-8.mga6
+ Revision: 951903
- Mageia 6 Mass Rebuild

* Sat Jan 10 2015 daviddavid <daviddavid> 0.0-7.mga5
+ Revision: 809822
- use .mfiles generated during build
- update BuildRequires
- fix Group
- remove no longer needed %%post and %%postun for maven_depmap

* Wed Oct 15 2014 umeabot <umeabot> 0.0-6.mga5
+ Revision: 745741
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0-5.mga5
+ Revision: 689533
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.0-4.mga4
+ Revision: 530932
- Mageia 4 Mass Rebuild

* Tue Jul 30 2013 joequant <joequant> 0.0-3.mga4
+ Revision: 461052
- remove ant-nodeps and ant-trax from buildrequires

* Mon Jan 14 2013 umeabot <umeabot> 0.0-2.mga3
+ Revision: 383400
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 07 2011 dmorgan <dmorgan> 0.0-1.mga2
+ Revision: 152563
- Fix groups

  + gil <gil>
    - imported package stax-utils

